Libical API Documentation 3.0

Data Fields
pvl_elem_t Struct Reference

`#include <pvl.h>`

## Data Fields
void * | d
int | MAGIC
struct pvl_elem_t * | next
struct pvl_elem_t * | prior

## Detailed Description

This type is private. Always use pvl_elem instead. The struct would not even appear in this header except to make code in the USE_MACROS blocks work

## Field Documentation

## ◆ d

void* pvl_elem_t::d

Pointer to data user is storing

## ◆ MAGIC

int pvl_elem_t::MAGIC

Magic Identifier

## ◆ next

struct pvl_elem_t* pvl_elem_t::next

Next element

## ◆ prior

struct pvl_elem_t* pvl_elem_t::prior

Prior element

The documentation for this struct was generated from the following file:

- pvl.h